## org.apache.xerces.utils
Interface NamespacesScope.NamespacesHandler

All Known Implementing Classes:
  TraverseSchema, XMLValidator

Enclosing class:
  NamespacesScope

public static interface NamespacesScope.NamespacesHandler

NamespacesHandler allows a client to be notified when namespace scopes change

Method Summary
`void` `endNamespaceDeclScope(int prefix)` endNamespaceDeclScope is called when a namespace scope ends
`void` `startNamespaceDeclScope(int prefix, int uri)` startNamespaceDeclScope is called when a new namespace scope is created

Method Detail

### startNamespaceDeclScope

    public void startNamespaceDeclScope(int prefix,
                                        int uri)
                                 throws java.lang.Exception

  startNamespaceDeclScope is called when a new namespace scope is created
  Parameters:
    `prefix` - the StringPool handle of the namespace prefix being declared
    `uri` - the StringPool handle of the namespace's URI
  Throws:
    java.lang.Exception -

### endNamespaceDeclScope

    public void endNamespaceDeclScope(int prefix)
                               throws java.lang.Exception

  endNamespaceDeclScope is called when a namespace scope ends
  Parameters:
    `prefix` - the StringPool handle of the namespace prefix going out of scope
  Throws:
    java.lang.Exception -

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.